Subject: Re: bug#76503: [GCD] Migrating repositories, issues, and patches to Codeberg

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 05 Mar 2025 10:00:22 +0900

Hi Ricardo,

Ricardo Wurmus <[email-masked]> writes:

[...]

> The Github workflow is more complicated:
>
> - fork the repository on the forge website
> - clone your fork from the forge to your local machine
> - checkout a new branch
> - make a commit
> - push the commit from your local checkout to your fork on the   forge
> - go to the forge website to open a pull request from your fork to
>   the upstream repository
>
> The AGit flow:
>
> - clone the upstream repository
> - checkout a new branch
> - make a commit
> - push the commit as a PR to the forge.
>
> Am I overlooking something?

At least two of the points this GCD is supposed to improve on is:

--8<---------------cut here---------------start------------->8---
  - the process is unfamiliar to most newcomers;
  - the tools and infrastructure in Guix have become a maze;
--8<---------------cut here---------------end--------------->8---

What would arguably be most familiar to newcomers is the Github-style PR
flow, whether we like it or not, and Gitea/Forgejo is a designed as a
clone of Github, even at its API level, so I'm pretty sure the PR flow
would be the intuitive expectation of newcomers interacting with it.

Using other flows that require typing command lines or abstracting these
via other tools is just changing a set of "weird" tools to another set
of "weird" tools, from a newcomer's perspective.

I'm not saying I don't see any positives to migrating to Codeberg, but
that if we can't use the PR flow then the points I quoted above do not
appear improved much by such a move.

-- 
Thanks,
Maxim